@layer layout {
	.layout {
		padding-top: 105px;
		display: flex;
		flex-direction: row;
		width: 100%;
		background: rgba(255, 255, 255, 0.6);
	}

	.gauche, .centre, .droite {
		box-sizing: border-box;
		background-color: rgba(255, 255, 255, 0.5);
	}
	
	.gauche {
		width: 20%; /* un peu plus large pour le titre */
		padding: 20px;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}
	
	  .gauche h1 {
		font-size: 2em;
		text-align: center;
		line-height: 1.3;
		word-break: break-word;
		margin: 0;
	}
	
	.centre {
		padding: 20px 40px;
		text-align: center;
		display: flex;
		flex-direction: column;
		justify-content: center;
	}
	.centre p {
		font-size: 1.2em;
		margin-bottom: 1.5em;
	}
	.centre h2{
		font-size: 1,7em;
		text-align: center;
		line-height: 1.3;
		word-break: break-word;
		margin: 0;
		font-style: italic;
	}
	
	.droite {
		width: 15%;
	}
	

	.col {
		padding: 20px;
	}

	.footer {
		width: 100%;
		background-color: rgba(255, 255, 255, 0.6);
		text-align: center;
		padding: 15px 0;
		box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
		backdrop-filter: blur(4px);
		flex-shrink: 0;	/* ne rétrécit pas */
	}

	.site-header {
		position: fixed;
		top: 0;
		width: 100%;
		height: 70px;
		background-color: rgba(255, 255, 255, 0.7);
		padding: 15px 20px;
		box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
		display: flex;
		align-items: center;
		justify-content: flex-start;
		z-index: 1000;
	}

	.logo-container {
		display: flex;
		align-items: center;
	}

	.site-title {
		font-size: 1.4em;
		font-weight: bold;
		color: #003366;
	}
}

